{% extends 'back.html.twig' %}
{% block title %}Liste des utilisateurs{% endblock %}

{% block body %}
    <h1 class="my-3 text-primary text-center">Liste des utilisateurs</h1>

    <table class="table table-striped text-center">
        <thead>
            <tr>
                <th>Nom d'utilisateur</th>
                <th>Email</th>
                <th>Rôle(s)</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for user in users %}
            <tr>
                <td>{{ user.username }}</td>
                <td>{{ user.email }}</td>
                <td>
                    {% for role in user.roles %}
                        - {{ role }}
                    {% endfor %}
                </td>
                <td>
                    <div class="w-100 h-100 d-flex align-items-center justify-content-around">
                        <a href="{{ path('admin_user_show', {'id': user.id}) }}" class="btn btn-secondary text-white">Voir</a>
                        <a href="{{ path('admin_user_edit', {'id': user.id}) }}" class="btn btn-primary text-white">Éditer</a>
                        {{ include('admin/user/_delete_form.html.twig') }}
                    </div>
                </td>
            </tr>
        {% else %}
            <tr class="text-center">
                <td colspan="7">Il n'y a pas encore d'utilisateur.</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}

